## org.apache.aries.subsystem.core.archive
Interface Header<C extends Clause>

All Known Subinterfaces:
  CapabilityHeader<C>, RequirementHeader<C>

All Known Implementing Classes:
  AbstractHeader, AriesSubsystemParentsHeader, BundleManifestVersionHeader, BundleSymbolicNameHeader, BundleVersionHeader, DeployedContentHeader, ExportPackageHeader, GenericHeader, ImportPackageHeader, ManifestVersionHeader, PreferredProviderHeader, ProvideCapabilityHeader, ProvisionResourceHeader, RequireBundleHeader, RequireCapabilityHeader, SubsystemContentHeader, SubsystemExportServiceHeader, SubsystemImportServiceHeader, SubsystemManifestVersionHeader, SubsystemSymbolicNameHeader, SubsystemTypeHeader, SubsystemVersionHeader, SymbolicNameHeader, VersionHeader

    public interface Header<C extends Clause>

Method Summary
`Collection<C>` `getClauses()`
`String` `getName()`
`String` `getValue()`

Method Detail

### getClauses

    Collection<C> getClauses()

### getName

    String getName()

### getValue

    String getValue()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.